import { createAuthApi as e } from "./auth.js";
import { createConfigApi as t } from "./config.js";
import { createDashboardApi as n } from "./dashboard.js";
import { createDocumentsApi as r } from "./documents.js";
import { createProcessorApi as i } from "./processor.js";
import { createSecretsApi as a } from "./secrets.js";
import { createWorkflowsApi as o } from "./workflows.js";
import { createWorkspacesApi as s } from "./workspaces.js";
import "./client.js";
//#region src/api/index.ts
function c(c) {
	return {
		auth: e(c),
		config: t(c),
		dashboard: n(c),
		documents: r(c),
		processor: i(c),
		secrets: a(c),
		workflows: o(c),
		workspaces: s(c)
	};
}
//#endregion
export { c as createApi };
